<?php
/**
 * Created by PhpStorm.
 * User: tandunzhao
 * Date: 2017/11/20
 * Time: 上午9:28
 */

Route::group(['domain'=>env('MANAGE_DOMAIN'), 'namespace'=>'App\Http\Controllers\Manage\Notice','prefix'=>'api','middleware'=>'ManageApiAuth'],function () {
    //获取通知列表
    Route::get('notices','NoticesController@get_list');
    //获取一个通知
    Route::get('getNotice','NoticesController@get_notice');
    //添加通知
    Route::post('addNotice','NoticesController@add_notice');
    //更新一个通知
    Route::post('updateNotice','NoticesController@update_notice');
    //删除一个通知
    Route::post('rmNotice','NoticesController@rm_notice');
    //发送短信通知
    Route::post('noticeSms','NoticesController@send_sms');
    //短信通知l列表
    Route::get('noticeSmsList','NoticesController@send_sms_list');

    //通知公告分类列表
    Route::get('noticeTypes','NoticeTypesController@get_list');
    //添加公告分类
    Route::post('addNoticeType','NoticeTypesController@add_type');
    //删除公告分类
    Route::post('rmNoticeType','NoticeTypesController@rm_type');

    //转换公告内容
    Route::post('getNoticeContent','NoticesController@getNoticeContent');


});